package com.ibiz.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.module.domain.PS;
import com.ibiz.core.module.filter.PSSearchContext;

/**
 * 实体[PS] 服务对象接口
 */

public interface IPSService{
     boolean remove(String pSId) ;
     boolean create(PS pS) ;
     PS get(String pSId) ;
     PS get(PS pS) ;
     PS xD(PS pS) ;
     PS getDraft(PS pS) ;
     boolean save(PS pS) ;
     boolean update(PS pS) ;
     PS createAndStartIM(PS pS) ;
     boolean checkKey(PS pS) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<PS> searchDefault(PSSearchContext context) ;

}
